# dcc - Irssi 1.0 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.0. The current release version is Neırssi 1.3.

# dcc

## Syntax

    DCC CHAT [-passive] [<nick>]

    DCC GET [<nick> [<file>]]

    DCC RESUME [<nick> [<file>]]

    DCC SERVER [+|-scf] [port]

    DCC CLOSE <type> <nick> [<file>]

## Parameters

`CHAT`: | Initiates or accept a chat request.
`GET`: | Accepts a file transfer request.
`RESUME`: | Resumes a file transfer.
`SERVER`: | Starts a DCC server.
`CLOSE`: | Closes a DCC connection.
`LIST`: | Displays all the open DCC connections.

`-passive`: | Uses the passive DCC protocol.
`-scf`: | Use any combination of the flags to indicate: ‘s’ - send ‘c’ - chat ‘f’ - fserver

The nickname of the person to chat with, or the name of the file to transfer.

## Description

The DCC protocol is used to initiate client-to-client chat connections and file transfers.

If you are behind NAT, or if the firewall is too restrictive, you might want to try if using the passive parameter resolves your connection problem.

You can send files which contain special character or spaces by enclosing the filename within quotes. For example: ‘my file with spaces.txt’.

## Examples

    /DCC CHAT mike
    /DCC GET bob "summer vacation.mkv"
    /DCC SEND sarah "summer vacation.mkv"
    /DCC CLOSE get mike
    /DCC CLOSE send bob "summer vacation.mkv"

## See also

CD